%define pkgname MIME-Base64
%define pkgvers 3.05

Summary: perl-%{pkgname}
Name: perl-%{pkgname}
Version: %{pkgvers}
Release: 1
License: Perl Artistic
Packager: Howie Dines <howie@howie.co.uk>
URL: http://www.dincom.co.uk
Source: %{pkgname}-%{version}.tar.gz
Group: stuff
Buildroot: %{_tmppath}/%{name}-root
Vendor: dincom.co.uk
%description
MIME::Base64 - Encoding and decoding of base64 strings. i386 rebuild for Openwebmail install on CentOS3/BlueQuartz Appliance

%prep
%setup -n %{pkgname}-%{version}

%build
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL PREFIX=$RPM_BUILD_ROOT/usr
make
make test

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make install
find $RPM_BUILD_ROOT \( -name perllocal.pod -o -name .packlist \) -exec rm -v {} \;

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

if [ "$RPM_BUILD_ROOT" != "/" ]; then
  rm -rf $RPM_BUILD_ROOT/usr/share/man
else
  echo unable to handle non-buildroot
  exit 1
fi

find $RPM_BUILD_ROOT/usr -type f -print |
        sed "s@^$RPM_BUILD_ROOT@@g" |
        grep -v perllocal.pod |
        grep -v "\.packlist" > %{name}-%{version}-filelist
if [ "$(cat %{name}-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

%changelog
* Thu Oct 13 2005 Daniel Drown <ddrown@datapipe.com>
- MIME-Base64-3.05
